petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetUp

Sets up the internal data structures for the later use of a nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetUp(SNES snes)

Collective on SNES

### Input Parameters

snes -the SNES context

### Notes

For basic use of the SNES solvers the user need not explicitly call SNESSetUp(), since these actions will automatically occur during the call to SNESSolve(). However, if one wishes to control this phase separately, SNESSetUp() should be called after SNESCreate() and optional routines of the form SNESSetXXX(), but before SNESSolve().

### Keywords

SNES, nonlinear, setup

### See Also

SNESCreate(), SNESSolve(), SNESDestroy()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages